Subject: bug#28023: fix make-temp-file race on local host

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Aug 2017 19:52:46 +0300

> Cc: [email-masked], [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Sat, 12 Aug 2017 09:25:37 -0700
> 
> I was following the lead of names like lread--substitute-command-keys, 
> print--preprocess, and thread--blocker, all low-level C functions whose first 
> part identifies which C module they're in. Although I see that the "-internal" 
> suffix is more popular for this sort of thing, isn't that a revenant of the old 
> days, before we instituted the convention of using PREFIX--NAME for private 
> names? Or is the "-internal" suffix a separate naming convention, used by both 
> Lisp and C code, that has a different semantics from PREFIX--NAME? If so, it 
> would be nice to have advice somewhere as to when to use the -internal suffix vs 
> when to use PREFIX--NAME.

I think the prefix that comes from the file where the function is
defined is more of a Lisp convention, and the -internal convention is
more for C implementations.